Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 3.4.0   

Resolution: Fixed   

Description

Redmine already allows input of i.e. estimated time values as hours:minutes (0:45 instead of 0.75). This patch introduces a setting to

also display such values in this way throughout the app.

Related issues:

Related to Redmine - Feature #1184: time-display Closed 2008-05-06

Related to Redmine - Patch #5007: Time spent displayed in human readable form... Closed 2010-03-08

Related to Redmine - Defect #33273: Total estimated time column shows up as d... Closed

Related to Redmine - Defect #35726: Time Formatting does not apply to CSV exp... Confirmed

Related to Redmine - Feature #36391: Change the default value for "Time span ... Closed

Related to Redmine - Defect #36897: The minutes part of a time entry is displ... Closed

Associated revisions

Revision 15965 - 2016-11-18 13:42 - Jean-Philippe Lang

Introduce a setting to change the display format of timespans to h:mm (#23996).

Patch by Jens Kraemer.

Revision 15966 - 2016-11-18 13:43 - Jean-Philippe Lang

Adds setting_timespan_format i18n string (#23996).

Revision 15967 - 2016-11-18 14:47 - Jean-Philippe Lang

Test broken, display hours like in other tables (#23996).

Revision 15968 - 2016-11-18 14:49 - Jean-Philippe Lang

Test failure (#23996).

Revision 15969 - 2016-11-18 14:51 - Jean-Philippe Lang

Test failure (#23996).

Revision 15970 - 2016-11-18 14:58 - Jean-Philippe Lang

Test failure (#23996).

Revision 15971 - 2016-11-18 15:17 - Jean-Philippe Lang

Show the entered value when it's not valid (#23996).

Revision 15974 - 2016-11-18 17:00 - Jean-Philippe Lang

Adds tests for #hours_field (#23996).

History

#1 - 2016-10-05 08:44 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2016-11-01 14:18 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 3.4.0
#3 - 2016-11-18 15:39 - Jean-Philippe Lang

- Tracker changed from Patch to Feature

- Subject changed from Introduce a setting to change the display format of timespans to h:mm to Introduce a setting to change the display format of

timespans to HH:MM

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#4 - 2016-11-22 01:56 - Mischa The Evil

- Related to Feature #1184: time-display added

#5 - 2016-11-22 01:57 - Mischa The Evil

- Related to Patch #5007: Time spent displayed in human readable format (hours minutes) added

#6 - 2016-11-22 02:17 - Mischa The Evil

Nice to see this being committed. I think a lot of users will be happy with this long-awaited setting. :thumbsup:

#7 - 2020-04-08 08:16 - Go MAEDA

- Related to Defect #33273: Total estimated time column shows up as decimal value regardless of time setting added

#8 - 2021-08-09 21:46 - Mischa The Evil

- Related to Defect #35726: Time Formatting does not apply to CSV exports added

#9 - 2022-01-06 08:48 - Go MAEDA

- Related to Feature #36391: Change the default value for "Time span format" from "decimal" to "minutes" added

#10 - 2022-04-06 15:21 - Holger Just

- Related to Defect #36897: The minutes part of a time entry is displayed as 60 instead of being carried over added

Files

0001-introduces-a-setting-to-have-durations-displayed-as-.patch 12.3 KB 2016-10-05 Jens Krämer
